Package org.pgpainless.key.generation.type.rsa

# Enum Class RsaLength

java.lang.Object
java.lang.Enum<RsaLength>
org.pgpainless.key.generation.type.rsa.RsaLength

All Implemented Interfaces:
  `Serializable`, `Comparable<RsaLength>`, `Constable`, `KeyLength`

public enum RsaLength extends Enum<RsaLength> implements KeyLength

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_1024`
Deprecated.
`_2048`
Deprecated.
`_3072`
`_4096`
`_8192`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
`static RsaLength`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RsaLength[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### _1024

@Deprecated public static final RsaLength _1024
Deprecated.

### _2048

@Deprecated public static final RsaLength _2048
Deprecated.

### _3072

public static final RsaLength _3072

### _4096

public static final RsaLength _4096

### _8192

public static final RsaLength _8192

## Method Details

### values

public static RsaLength[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RsaLength valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getLength

public int getLength()

Specified by:
  `getLength` in interface `KeyLength`